Issue 73357 - RFE: Tools/Customize/Toolbars: Really import custom icon
Summary: RFE: Tools/Customize/Toolbars: Really import custom icon
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: OOo 2.0
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 2.4
Assignee: thorsten.martens
QA Contact: issues@framework
URL: http://specs.openoffice.org/ui_in_gen...
Keywords:
Depends on: 73354 73355
Blocks:
  Show dependency tree
 
Reported: 2007-01-11 09:25 UTC by joerg.skottke
Modified: 2009-04-23 14:39 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description joerg.skottke 2007-01-11 09:25:34 UTC
Currently custom icons are transferred into the "Select Icon" dialog and are not
persistent.
The user does not know where the icon is stored and he will never know wheter
deleting the source file (the icon that he seleted in the import dialog) is
killed within the application if he deletes the file or not.

To make this more transparent to the user we should copy imported icons to some
place within the userlayer (proposal: A subdirectory of the gallery, might be
used to create a new gallery theme - just as a possible second benefit). There
should be a messagebox / progressbar informing the user that a copy of his icon
has been placed in the gallery so he knows he might move/delete the original icon.
Comment 1 joerg.skottke 2007-01-11 13:59:59 UTC
Ok, we actually import the icon(s) into the configuration where a special file
is created.
This file contains all icons put together in one single row probably for
performance reasons.
However, the icons should be available in the gallery as well.
Comment 2 frank.loehmann 2007-09-05 11:43:58 UTC
FL->CD: Is this the issue you are already working on?
Comment 3 carsten.driesner 2007-09-05 14:36:55 UTC
cd->fl: Yes, that what Liang Weike is currently working on. I will add this
issues to the CWS fwk74.
Comment 4 carsten.driesner 2007-09-05 14:37:36 UTC
cd: Change target to OOo 2.4.
Comment 5 carsten.driesner 2007-10-01 10:56:48 UTC
cd: Added link to updated specification.
Comment 6 carsten.driesner 2007-10-02 07:17:14 UTC
cd: Implemented due to fixes: #73354, #73355.
Comment 7 carsten.driesner 2007-10-18 08:25:56 UTC
cd->tm: Please verify.
Comment 8 thorsten.martens 2007-11-11 11:35:03 UTC
TM->JSK: Please check and verify. Don't know, if this is really fixed. Thanks !
Comment 9 joerg.skottke 2007-11-12 12:09:42 UTC
JSK->CD: i have a hard time figuring out which parts of the issue have been
fixed - i can see that the icon is imported but not that
a) A dialog appears to inform that the icon has been imported and the user might
delete the original
b) I can access the icon through the gallery
Comment 10 thorsten.martens 2007-11-13 09:48:45 UTC
issue has been fixed and verified in cws fwk74. Additional RFE is not part of
the Spec and might be still a wish for a different behaviour and an enhancement.
Comment 11 thorsten.martens 2007-11-13 09:49:34 UTC
checked and verified in cws fwk74 -> OK !
Comment 12 utomo99 2008-03-15 08:02:42 UTC
the source icons also need to be organized. so we will have eficients things. 
and also we can cleans things which did not needed.
last time too many unused icons and image on source code. 

if possible we can also reduce double icons and images.  
Comment 13 thorsten.martens 2009-04-23 14:39:05 UTC
closed